-- Copyright (c) 2025 Huawei Technologies Co., Ltd.
-- openUBMC is licensed under Mulan PSL v2.
-- You can use this software according to the terms and conditions of the Mulan PSL v2.
-- You may obtain a copy of Mulan PSL v2 at: http://license.coscl.org.cn/MulanPSL2
--
-- THIS SOFTWARE IS PROVIDED ON AN "AS IS" BASIS, WITHOUT WARRANTIES OF ANY KIND,
-- EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO NON-INFRINGEMENT,
-- MERCHANTABILITY OR FIT FOR A PARTICULAR PURPOSE.
-- See the Mulan PSL v2 for more details.

local SERVER_CNT = 3
local result = {}
local value

for i = 1, SERVER_CNT do
    value = {}
    if ReqBody.NameServers and ReqBody.NameServers[i] then
        value[#value + 1] = 'NameServers/' .. (i - 1)
    end
    if ReqBody.StaticNameServers and ReqBody.StaticNameServers[i] then
        value[#value + 1] = 'StaticNameServers/' .. (i - 1)
    end
    result[i] = value
end

return result